Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository
Class RepositoryManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.RepositoryManager

    public class RepositoryManager

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 18, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`RepositoryManager(OWLModel model)`

Method Summary
`void` | `addDefaultRepositories()`
`void` | `addGlobalRepository(int index, Repository repository)`
`void` | `addGlobalRepository(Repository repository)`
`void` | `addProjectRepository(int index, Repository repository)`
`void` | `addProjectRepository(Repository repository)`
`List<Repository>` | `getAllRepositories()`
`List<Repository>` | `getGlobalRepositories()`
`List<Repository>` | `getProjectRepositories()`
`Repository` | `getRepository(URI ontologyName)`
`Repository` | `getRepository(URI ontologyName, boolean createRep)`
`boolean` | `isGlobalRepository(Repository repository)`
`void` | `moveDown(Repository repository)`
`void` | `moveUp(Repository repository)`
`void` | `remove(Repository repository)`
`void` | `removeAllGlobalRepositories()`
`void` | `removeAllProjectRepositories()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryManager

    public RepositoryManager(OWLModel model)

Method Detail

### addDefaultRepositories

    public void addDefaultRepositories()

### removeAllProjectRepositories

    public void removeAllProjectRepositories()

### getAllRepositories

    public List<Repository> getAllRepositories()

### removeAllGlobalRepositories

    public void removeAllGlobalRepositories()

### getProjectRepositories

    public List<Repository> getProjectRepositories()

### getGlobalRepositories

    public List<Repository> getGlobalRepositories()

### addProjectRepository

    public void addProjectRepository(Repository repository)

### addProjectRepository

    public void addProjectRepository(int index,
                                     Repository repository)

### addGlobalRepository

    public void addGlobalRepository(Repository repository)

### addGlobalRepository

    public void addGlobalRepository(int index,
                                    Repository repository)

### moveUp

    public void moveUp(Repository repository)

### moveDown

    public void moveDown(Repository repository)

### isGlobalRepository

    public boolean isGlobalRepository(Repository repository)

### remove

    public void remove(Repository repository)

### getRepository

    public Repository getRepository(URI ontologyName)

### getRepository

    public Repository getRepository(URI ontologyName,
                                    boolean createRep)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.